Walmart - 查询回款明细列表
POST
/basicOpen/multiplatformFinance/walmart/bill/payout/listWalmart-查询回款明细列表,支持按店铺、站点、账期、时间和金额比较条件查询 Walmart 回款明细。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatformFinance/walmart/bill/payout/list | HTTPS | POST | 1 |
请求参数
compareLogicstringcurrencyCodestringendDatestringfieldComparesarray<object>隐藏子属性
fieldstring必填operatorstring必填valuenumber必填hasDifferencebooleanlengthinteger必填offsetinteger必填searchExactlybooleansearchMultiValuearray<any>searchSingleValuestringsearchTypeintegersidsarray<any>siteCodesarray<any>sortFieldstringsortTypestringstartDatestring请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatformFinance/walmart/bill/payout/list?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"offset": 0,
"length": 20,
"sids": [123456],
"siteCodes": ["US"],
"startDate": "2026-01-01",
"endDate": "2026-01-31",
"searchType": 1,
"searchSingleValue": "RPT-202601",
"sortField": "payoutDate",
"sortType": "0"
}'
返回结果
JSON Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
listarray<object>必填隐藏子属性
companyIdinteger必填currencystring必填currencyIconstring必填idinteger必填periodEndDatestring必填periodRangestring必填periodStartDatestring必填platformCodestring必填reportKeystring必填settlementCountinteger必填settlementDifferencenumber必填sitestring必填siteCodestring必填siteDisplaystring必填storeIdinteger必填storeNamestring必填totalPayablenumber必填transactionDescriptionstring必填transactionPostedTimestampstring必填transactionTypestring必填totalCountinteger必填totalSumobject必填隐藏子属性
currencystring必填currencyIconstring必填settlementCountinteger必填settlementDifferencenumber必填totalCountinteger必填totalPayablenumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-05-25 12:00:00",
"data": {
"list": [
{
"companyId": 10001,
"currency": "USD",
"currencyIcon": "$",
"id": 100001,
"periodEndDate": "2026-01-31",
"periodRange": "2026-01-01 ~ 2026-01-31",
"periodStartDate": "2026-01-01",
"platformCode": "walmart",
"reportKey": "RPT-202601",
"settlementCount": 18,
"settlementDifference": 0.00,
"site": "US",
"siteCode": "US",
"siteDisplay": "美国",
"storeId": 123456,
"storeName": "Walmart US Store",
"totalPayable": 1250.30,
"transactionDescription": "Settlement",
"transactionPostedTimestamp": "2026-01-31 12:00:00",
"transactionType": "Payout"
}
],
"totalCount": 1,
"totalSum": {
"currency": "USD",
"currencyIcon": "$",
"settlementCount": 18,
"settlementDifference": 0.00,
"totalCount": 1,
"totalPayable": 1250.30
}
}
}